// OpenLP Mobile Remote
// ---------------------------------------------------------------------------
// Copyright (c) 2008-2019 OpenLP Developers
// ---------------------------------------------------------------------------
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
// DEALINGS IN THE SOFTWARE.

import 'package:flutter/material.dart';

import '../configurations/app_localizations.dart';

class SearchServiceItem extends SearchDelegate {
  @override
  List<Widget> buildActions(BuildContext context) {
    return null;
  }

  @override
  Widget buildLeading(BuildContext context) {
    return IconButton(
      icon: Icon(Icons.arrow_back),
      onPressed: () {
        close(context, null);
      },
    );
  }

  void _showOptions(BuildContext context) {
    showModalBottomSheet(
      context: context,
      builder: (context) => SafeArea(
        child: Wrap(
          alignment: WrapAlignment.center,
          children: <Widget>[
            Container(
              padding: EdgeInsets.all(15),
              child: Text(
                query,
                style: Theme.of(context).textTheme.title,
                textAlign: TextAlign.center,
              ),
            ),
            ListTile(
              title: Text(
                  AppLocalizations.of(context).translate('search_results_go')),
              onTap: () {
                Navigator.of(context).pop();
                close(context, null);
              },
            ),
            ListTile(
              title: Text(
                  AppLocalizations.of(context).translate('search_results_add')),
              onTap: () {
                Navigator.of(context).pop();
              },
            ),
            ListTile(
              title: Text(AppLocalizations.of(context)
                  .translate('search_results_add_and_go')),
              onTap: () {
                Navigator.of(context).pop();
                close(context, null);
              },
            ),
          ],
        ),
      ),
    );
  }

  Widget _resultList(BuildContext context) {
    if (query.isEmpty) {
      return Container();
    }
    return ListView.builder(
      itemCount: 5,
      itemBuilder: (context, i) {
        return ListTile(
          title: Text(query),
          onTap: () {
            _showOptions(context);
          },
        );
      },
    );
  }

  @override
  Widget buildResults(BuildContext context) {
    print('buildResults - query: $query');
    return _resultList(context);
  }

  @override
  Widget buildSuggestions(BuildContext context) {
    print('buildSuggestions - query: $query');
    return _resultList(context);
  }
}
