// OpenLP Mobile Remote
// ---------------------------------------------------------------------------
// Copyright (c) 2008-2019 OpenLP Developers
// ---------------------------------------------------------------------------
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
// DEALINGS IN THE SOFTWARE.

import 'package:flutter/material.dart';

import '../configurations/app_localizations.dart';
import '../models/slide_item.dart';

class SlidesListView extends StatefulWidget {
  @override
  _SlidesListViewState createState() => _SlidesListViewState();
}

class _SlidesListViewState extends State<SlidesListView> {
  List<SlideItem> slidesItems;

  @override
  void initState() {
    slidesItems = [
      SlideItem(
        tag: '1',
        html: '',
        selected: false,
        text: 'You call me out upon the waters\n' +
            'The great unknown where feet may fail\n' +
            'And there I find You in the mystery\n' +
            'In oceans deep, my faith will stand',
      ),
      SlideItem(
        tag: '2',
        html: '',
        selected: true,
        text: 'And I will call upon Your name\n' +
            'And keep my eyes above the waves\n' +
            'When oceans rise, my soul will rest in Your embrace\n' +
            'I am Yours and You are mine',
      ),
      SlideItem(
        tag: '3',
        html: '',
        selected: false,
        text: 'Your grace abounds in deepest waters\n' +
            'Your sovereign hand\n' +
            'Will be my guide\n' +
            'Where feet may fail and fear surrounds me\n' +
            'You\'ve never failed and You won\'t start now',
      ),
      SlideItem(
        tag: '4',
        html: '',
        selected: false,
        text: 'So I will call upon Your name\n' +
            'And keep my eyes above the waves\n' +
            'When oceans rise, my soul will rest in Your embrace\n' +
            'For I am Yours and You are mine, oh\n' +
            'And You are mine, oh',
      ),
      SlideItem(
        tag: '5',
        html: '',
        selected: false,
        text: 'Spirit lead me where my trust is without borders\n' +
            'Let me walk upon the waters\n' +
            'Wherever You would call me\n' +
            'Take me deeper than my feet could ever wander\n' +
            'And my faith will be made stronger\n' +
            'In the presence of my Savior',
      ),
      SlideItem(
        tag: '6',
        html: '',
        selected: false,
        text: 'Spirit lead me where my trust is without borders\n' +
            'Let me walk upon the waters\n' +
            'Wherever You would call me\n' +
            'Take me deeper than my feet could ever wander\n' +
            'And my faith will be made stronger\n' +
            'In the presence of my Savior',
      ),
      SlideItem(
        tag: '7',
        html: '',
        selected: false,
        text: 'Spirit lead me where my trust is without borders\n' +
            'Let me walk upon the waters\n' +
            'Wherever You would call me\n' +
            'Take me deeper than my feet could ever wander\n' +
            'And my faith will be made stronger\n' +
            'In the presence of my Savior, oh',
      ),
      SlideItem(
        tag: '8',
        html: '',
        selected: false,
        text: 'I will call upon Your name\n' +
            'Keep my eyes above the waves\n' +
            'My soul will rest in Your embrace\n' +
            'I am Yours and You are mine',
      ),
    ];
    // slidesItems = [];
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    if (slidesItems.isEmpty) {
      return Center(
        child: Container(
          constraints: BoxConstraints(
            maxHeight: 100,
            maxWidth: 250,
          ),
          child: Text(AppLocalizations.of(context).translate('slides_list_empty'),
            textAlign: TextAlign.center,
            style: TextStyle(color: Colors.black38),
          ),
        ),
      );
    }
    return ListView.builder(
      padding: EdgeInsets.only(bottom: 35),
      itemCount: slidesItems.length,
      itemBuilder: (context, i) {
        SlideItem item = slidesItems[i];
        return ListTile(
          contentPadding: EdgeInsets.all(10),
          selected: item.selected,
          title: Text(item.text),
          onTap: () {},
        );
      },
    );
  }
}
